Bug 15678 - Failed upgrade left broken system behind
Failed upgrade left broken system behind
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Erik Troan
Winston gold
Depends On:
  Show dependency treegraph
Reported: 2000-08-07 16:43 EDT by Enrico Scholz
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-08-08 15:19:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2000-08-07 16:43:47 EDT
When upgrading fails (e.g. forced by root-partion of 80MB only), the system
remains in an unusable state:

- old rpm3 db was converted to rpm4, but no rpm4 available
- the stage2 image filled the root partition up to the last bit and so some
operations (mounting devices) got impossible

I think if upgrades fail some cleanup must be done. E.g. if something goes
wrong before installing the packages, the old rpm3 database must be
restored and temporary files be deleted.
Comment 1 Glen Foster 2000-08-08 11:23:01 EDT
This defect is considered MUST-FIX for Winston Gold-release
Comment 2 Erik Troan 2000-08-08 15:19:00 EDT
This has all been fixed in our internal tree. Thanks for the report.

Note You need to log in before you can comment on or make changes to this bug.